Announcing
SmartCAM System Requirement Links

Click the "Current Version" link to see the system requirements for V19.x. For older versions, click the "Older Versions" which links to a introduction pages for each previous version, that includes system requirements for that specific version.